﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace csharpdemo
{
    public partial class FrmDesignAndRunScadapicture : Form
    {
        public FrmDesignAndRunScadapicture()
        {
            InitializeComponent();
        }

        private void FrmDesignAndRunScadapicture_Load(object sender, EventArgs e)
        {
            vg1.Run("http://www.visual-graph.com/activex/scada.xml");
            vg1.vg.ShowSelection = true;//enable unit selection at run time...
        }

        private void btnEnumFluidpotGroup_Click(object sender, EventArgs e)
        {
            var i = 0;
            var g = vg1.vg.ActiveSheet.GroupByName("group1");
            vg1.vg.BeginUpdate();
            vg1.vg.Selection.Clear();
            var s = "";
            while (i < g.UnitCount)
            {
                var d = g.get_Units(i);
                s = s + d.Name + ",";
                vg1.vg.Selection.Add(d);
                i = i + 1;
            };
            vg1.vg.EndUpdate();
            MessageBox.Show(s);

        }

        private void btnEnumUnits_Click(object sender, EventArgs e)
        {
            var i = 0;
            var g = vg1.vg.ActiveSheet;
            var s = "";
            vg1.vg.BeginUpdate();
            vg1.vg.Selection.Clear();
            while (i < g.UnitCount)
            {
                var d = g.get_Units(i);
                s = s + d.Name + ",";
                vg1.vg.Selection.Add(d);
                i = i + 1;
            };
            vg1.vg.EndUpdate();
            MessageBox.Show(s);
        }
    }
}
