﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace csharpdemo
{
    public partial class FrmResizeaUnit : Form
    {
        public FrmResizeaUnit()
        {
            InitializeComponent();
        }

        private void FrmResizeUnit_Load(object sender, EventArgs e)
        {
            vg1.Design("http://www.visual-graph.com/activex/onresize.xml");
        }

        private void btnGetUnitSize_Click(object sender, EventArgs e)
        {
            var d = vg1.vg.ActiveSheet.UnitByName("element2");
            if (d != null)
                MessageBox.Show("[" + d.Left + "," + d.Top + "]-[" + d.Right + "," + d.Bottom + "]");
        }

        private void btnSetUnitSize_Click(object sender, EventArgs e)
        {
            var d = vg1.vg.ActiveSheet.UnitByName("element2");
            if (d != null)
                d.SetBounds(100, 200, 300, 60);

        }

        private void btnSetOrigin_Click(object sender, EventArgs e)
        {
            var d = vg1.vg.ActiveSheet.UnitByName("element2");
            vg1.vg.Selection.Clear();
            vg1.vg.Selection.Add(d);
            var dlg = vg1.vg.Create("http://www.visual-graph.com/activex/orgdlg.xml", false, false);
            dlg.ActiveSheet.SetPropertyValue("CurSheet", vg1.vg.ActiveSheet);
            dlg.ShowModal();
            dlg.Free();
            vg1.vg.Rotate();
        }

        private void btnSetProtect_Click(object sender, EventArgs e)
        {
            var d = vg1.vg.ActiveSheet.UnitByName("element2");
            if (d != null)
            {
                d.Protect = 56;//forbid to delete, mirror and change width
                vg1.vg.Selection.Clear();
                vg1.vg.Selection.Add(d);
            }
        }
    }
}
