unit Copyaunit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, OleCtrls, vg_TLB;

type
  TfrmCopyaunit = class(TForm)
    vg1: Tvgctrl;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCopyaunit: TfrmCopyaunit;

implementation

{$R *.dfm}

procedure TfrmCopyaunit.FormShow(Sender: TObject);
begin
  vg1.run( 'http://www.visual-graph.com/activex/copyunit.xml' );
end;

procedure TfrmCopyaunit.Button1Click(Sender: TObject);
var
  src : ISheet;
  circle1 : IUnit;
  rect1 : IUnit;
  dest : ISheet;
  d : IUnit;
begin
  src := Ivg( TVarData( vg1.vg.ActiveSheet.UnitByName( 'SubWindow1' ).GetPropertyValue( 'Doc' ) ).VDispatch ).ActiveSheet;
  circle1 := src.UnitByName( 'circle1' );
  rect1 := src.UnitByName( 'rect1' );
  dest := Ivg( TVarData( vg1.vg.ActiveSheet.UnitByName( 'SubWindow2' ).GetPropertyValue( 'Doc' ) ).VDispatch ).ActiveSheet;
  Ivg( dest.Owner ).Selection.Clear();
  d := dest.CopyUnit( circle1 );
  Ivg( dest.Owner ).Selection.Add( d );
  d := dest.CopyUnit( rect1 );
  Ivg( dest.Owner ).Selection.Add( d );
end;

procedure TfrmCopyaunit.Button2Click(Sender: TObject);
var
  src : ISheet;
  dest : ISheet;
  d : IUnit;
begin
  src := Ivg( TVarData( vg1.vg.ActiveSheet.UnitByName( 'SubWindow3' ).GetPropertyValue( 'Doc' ) ).VDispatch ).ActiveSheet;
  dest := Ivg( TVarData( vg1.vg.ActiveSheet.UnitByName( 'SubWindow4' ).GetPropertyValue( 'Doc' ) ).VDispatch ).ActiveSheet;
  d := dest.CopyUnit( src );
  Ivg( dest.Owner ).Selection.Clear();
  Ivg( dest.Owner ).Selection.Add( d );
end;

procedure TfrmCopyaunit.Button3Click(Sender: TObject);
var
  src : ISheet;
  dest : ISheet;
  s : ISheet;
begin
  dest := Ivg( TVarData( vg1.vg.ActiveSheet.UnitByName( 'SubWindow3' ).GetPropertyValue( 'Doc' ) ).VDispatch ).ActiveSheet;
  src := Ivg( TVarData( vg1.vg.ActiveSheet.UnitByName( 'SubWindow4' ).GetPropertyValue( 'Doc' ) ).VDispatch ).ActiveSheet;
  if( src.UnitCount <> 0 )then
  begin
    s := Ivg( dest.Owner ).CopySheet( src.Units[0] );
    Ivg( dest.Owner ).DeleteSheet( Ivg( dest.Owner ).Sheets[0] );
  end
  else
    ShowMessage( 'please copy an element from sheet first' );
end;

end.
