unit UseElementControlPoint;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, OleCtrls, vg_TLB;

type
  TfrmUseElementControlPoint = class(TForm)
    vg1: Tvgctrl;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmUseElementControlPoint: TfrmUseElementControlPoint;

implementation

{$R *.dfm}

procedure TfrmUseElementControlPoint.FormShow(Sender: TObject);
var
  d : IUnit;
begin
  vg1.Design( 'http://www.visual-graph.com/activex/lock.xml' );
  d := vg1.vg.ActiveSheet.UnitByName( 'element2' );
  vg1.vg.Selection.Add( d );
end;

procedure TfrmUseElementControlPoint.Button1Click(Sender: TObject);
var
  d : IUnit;
begin
  vg1.vg.ActiveSheet.Execute( 'rect1.Locked = false' );
  vg1.vg.ActiveSheet.Execute( 'element2.unitbyname( "text1" ).Locked = false' );
  d := vg1.vg.ActiveSheet.UnitByName( 'element2' );
  d.Refresh();
  vg1.vg.Selection.Clear();
  vg1.vg.Selection.Add( d );
end;

procedure TfrmUseElementControlPoint.Button2Click(Sender: TObject);
var
  d : IUnit;
begin
  vg1.vg.ActiveSheet.Execute( 'rect1.Locked = true' );
  vg1.vg.ActiveSheet.Execute( 'element2.unitbyname( "text1" ).Locked = true' );
  d := vg1.vg.ActiveSheet.UnitByName( 'element2' );
  d.Refresh();
  vg1.vg.Selection.Clear();
  vg1.vg.Selection.Add( d );
end;

procedure TfrmUseElementControlPoint.Button3Click(Sender: TObject);
var
  d, l : IUnit;
begin
  d := vg1.vg.ActiveSheet.UnitByName( 'element1' );
  l := d.UnitByName( 'line1' );
  l.MoveBy( 100, 0 );
  d.Execute( 'line1.onnodechange(line1)' );
  d.Refresh();
end;

procedure TfrmUseElementControlPoint.Button4Click(Sender: TObject);
var
  d : IUnit;
  l : IUnit;
begin
  d := vg1.vg.ActiveSheet.UnitByName( 'dime1' );
  l := d.UnitByName( 'line1' );
  l.MoveBy( 0, -10 );
  d.Execute( 'line1.onnodechange(line1)' );
  d.Refresh();
end;

end.
