VERSION 5.00
Object = "{465BBD46-50E1-11D7-8803-00E09876BB62}#1.0#0"; "vg.dll"
Begin VB.Form frmDesignModeWithMultipleActiveX 
   BorderStyle     =   0  'None
   Caption         =   "frmDesignModeWithMultipleActiveX"
   ClientHeight    =   10005
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   10800
   ScaleHeight     =   10005
   ScaleWidth      =   10800
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3
   WindowState     =   2  'Maximized
   Begin vgCtl.vgctrl vg7 
      Height          =   375
      Left            =   3600
      OleObjectBlob   =   "frmDesignModeWithMultipleActiveX.frx":0000
      TabIndex        =   5
      Top             =   960
      Width           =   375
   End
   Begin vgCtl.vgctrl vg6 
      Height          =   8655
      Left            =   3600
      OleObjectBlob   =   "frmDesignModeWithMultipleActiveX.frx":0024
      TabIndex        =   4
      Top             =   1320
      Width           =   375
   End
   Begin vgCtl.vgctrl vg5 
      Height          =   375
      Left            =   3960
      OleObjectBlob   =   "frmDesignModeWithMultipleActiveX.frx":0048
      TabIndex        =   3
      Top             =   960
      Width           =   6840
   End
   Begin vgCtl.vgctrl vg3 
      Height          =   975
      Left            =   0
      OleObjectBlob   =   "frmDesignModeWithMultipleActiveX.frx":006C
      TabIndex        =   2
      Top             =   0
      Width           =   10800
   End
   Begin vgCtl.vgctrl vg2 
      Height          =   9015
      Left            =   0
      OleObjectBlob   =   "frmDesignModeWithMultipleActiveX.frx":0090
      TabIndex        =   1
      Top             =   960
      Width           =   3615
   End
   Begin vgCtl.vgctrl vg1 
      Height          =   8655
      Left            =   3960
      OleObjectBlob   =   "frmDesignModeWithMultipleActiveX.frx":00B4
      TabIndex        =   0
      Top             =   1320
      Width           =   6840
   End
End
Attribute VB_Name = "frmDesignModeWithMultipleActiveX"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Command1_Click()
  Dim sheet As ISheet
  Dim inspector As ISheet
  Dim libview As ISheet
  Set sheet = vg1.vg.ActiveSheet
  Set inspector = sheet.GetPropertyValue("Inspector").GetPropertyValue("doc").ActiveSheet
  Set libview = inspector.UnitByName("subwindow7").GetPropertyValue("doc").ActiveSheet
  libview.Execute "LoadLibFromFile('" + vg1.DefaultPath + "controls.tbl')"
End Sub

Private Sub Command2_Click()
  Dim dlg As Ivg
  Dim s As String
  Dim mainform As ISheet
  Set dlg = vg1.vg.Create(vg1.DefaultPath + "files.tbl", False, False)
  If dlg.ShowModal() = 1 Then
    s = dlg.ActiveSheet.Execute("return ListBox1.GetItem( ListBox1.ItemIndex )")
    mainform = vg1.vg.ActiveSheet.Execute("return MainForm")
    mainform.Execute "OpenDocument( WebSite + '" + s + "', true )"
  End If
  dlg.Free
End Sub

Private Sub Form_Load()
  Dim s As String
  Dim g As IGroup
  vg1.Design ""
  s = vg1.DefaultPath
  vg2.Run s + "inspector.tbl"
  vg3.Run s + "toolbar.tbl"
  vg7.Run s + "btnview.tbl"
  vg5.Run s + "xruler.tbl"
  vg6.Run s + "yruler.tbl"
  vg7.vg.ActiveSheet.SetPropertyValue "cursheet", vg1.vg.ActiveSheet
  vg5.vg.ActiveSheet.SetPropertyValue "cursheet", vg1.vg.ActiveSheet
  vg6.vg.ActiveSheet.SetPropertyValue "cursheet", vg1.vg.ActiveSheet
  vg5.vg.ActiveSheet.Execute "ChangeRuler()"
  vg6.vg.ActiveSheet.Execute "ChangeRuler()"
  vg3.vg.ActiveSheet.Execute "btnPaste.Enable=true"
  vg3.vg.ActiveSheet.SetPropertyValue "cursheet", vg1.vg.ActiveSheet
  vg5.vg.ActiveSheet.SetPropertyValue "cursheet", vg1.vg.ActiveSheet
  vg6.vg.ActiveSheet.SetPropertyValue "cursheet", vg1.vg.ActiveSheet
  vg7.vg.ActiveSheet.SetPropertyValue "curSheet", vg1.vg.ActiveSheet
  Set g = vg1.vg.Selection
  vg2.vg.ActiveSheet.SetPropertyValue "selected", g
  vg3.vg.ActiveSheet.Execute "OnSelectChange()"
End Sub

Private Sub vg1_OnMouseMove(ByVal x As Double, ByVal y As Double)
  If Not (vg5.vg Is Nothing) Then
    If Not (vg5.vg.ActiveSheet Is Nothing) Then
      vg5.vg.ActiveSheet.Execute "mousemove()"
    End If
  End If
  If Not (vg6.vg Is Nothing) Then
    If Not (vg6.vg.ActiveSheet Is Nothing) Then
      vg6.vg.ActiveSheet.Execute "mousemove()"
    End If
  End If
End Sub

Private Sub vg1_OnScroll()
  If Not (vg5.vg Is Nothing) Then
    If Not (vg5.vg.ActiveSheet Is Nothing) Then
      vg5.vg.ActiveSheet.Execute "ChangeRuler()"
    End If
  End If
  If Not (vg6.vg Is Nothing) Then
    If Not (vg6.vg.ActiveSheet Is Nothing) Then
      vg6.vg.ActiveSheet.Execute "ChangeRuler()"
    End If
  End If
End Sub

Private Sub vg1_OnSelectChange()
  vg2.vg.ActiveSheet.SetPropertyValue "selected", vg1.vg.Selection
  vg3.vg.ActiveSheet.Execute "OnSelectChange()"
  vg3.vg.ActiveSheet.Execute "btnUndo.Enable=CurSheet.Owner.CanUndo()"
  vg3.vg.ActiveSheet.Execute "btnRedo.Enable=CurSheet.Owner.CanRedo()"
End Sub

Private Sub vg1_OnSheetChange()
  If Not (vg3.vg Is Nothing) Then
    If Not (vg3.vg.ActiveSheet Is Nothing) Then
      vg3.vg.ActiveSheet.SetPropertyValue "cursheet", vg1.vg.ActiveSheet
    End If
  End If
  If Not (vg5.vg Is Nothing) Then
    If Not (vg5.vg.ActiveSheet Is Nothing) Then
      vg5.vg.ActiveSheet.SetPropertyValue "cursheet", vg1.vg.ActiveSheet
    End If
  End If
  If Not (vg6.vg Is Nothing) Then
    If Not (vg6.vg.ActiveSheet Is Nothing) Then
      vg6.vg.ActiveSheet.SetPropertyValue "cursheet", vg1.vg.ActiveSheet
    End If
  End If
  If Not (vg7.vg Is Nothing) Then
    If Not (vg7.vg.ActiveSheet Is Nothing) Then
      vg7.vg.ActiveSheet.SetPropertyValue "CurSheet", vg1.vg.ActiveSheet
    End If
  End If
End Sub
